# Interface methods for submodule: QuaternionRigidTransformGradientDescentOptimizer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import GradientDescentOptimizerProxy as _GradientDescentOptimizerProxy


# Interface methods for class: QuaternionRigidTransformGradientDescentOptimizer
class QuaternionRigidTransformGradientDescentOptimizerProxy(_GradientDescentOptimizerProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def AdvanceOneStep(self) -> None:
		""""""
		...

